Package org.apache.tapestry5.internal.services

# Class TranslatorSourceImpl

java.lang.Object
org.apache.tapestry5.internal.services.TranslatorSourceImpl

All Implemented Interfaces:
  `Runnable`, `TranslatorSource`

public class TranslatorSourceImpl extends Object implements TranslatorSource, Runnable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranslatorSourceImpl(Map<Class,Translator> configuration)`
  `TranslatorSourceImpl(Map<Class,Translator> configuration, Map<String,Translator> alternates)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Translator`
  `findByType(Class valueType)`
  Finds a `Translator` that is appropriate to the given type, which is usually obtained via `Binding.getBindingType()`.
  `Translator`
  `get(String name)`
  Returns the translator with the given name (either a standard translator, or an alternate).
  `Translator`
  `getByType(Class valueType)`
  Finds a `Translator` that is appropriate to the given type, which is usually obtained via `Binding.getBindingType()`.
  `void`
  `run()`
  Invoked by InvalidationEventHub

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TranslatorSourceImpl

    public TranslatorSourceImpl(Map<Class,Translator> configuration)

  - ### TranslatorSourceImpl

    public TranslatorSourceImpl(Map<Class,Translator> configuration, Map<String,Translator> alternates)

- ## Method Details

  - ### get

    public Translator get(String name)
    Description copied from interface: `TranslatorSource`
    Returns the translator with the given name (either a standard translator, or an alternate).
    Specified by:
      `get` in interface `TranslatorSource`
    Parameters:
      `name` - name of translator (as configured, but case is ignored)
    Returns:
      the shared translator instance

  - ### getByType

    public Translator getByType(Class valueType)
    Description copied from interface: `TranslatorSource`
    Finds a `Translator` that is appropriate to the given type, which is usually obtained via `Binding.getBindingType()`. Performs an inheritance-based search for the best match, among the standard translators (not alternates).
    Specified by:
      `getByType` in interface `TranslatorSource`
    Parameters:
      `valueType` - the type of value for which a default translator is needed
    Returns:
      the matching translator

  - ### findByType

    public Translator findByType(Class valueType)
    Description copied from interface: `TranslatorSource`
    Finds a `Translator` that is appropriate to the given type, which is usually obtained via `Binding.getBindingType()`. Performs an inheritance-based search for the best match, among the standard translator (not alternates).
    Specified by:
      `findByType` in interface `TranslatorSource`
    Parameters:
      `valueType` - the type of value for which a default translator is needed
    Returns:
      the matching translator, or null if no match can be found

  - ### run

    public void run()
    Invoked by InvalidationEventHub
    Specified by:
      `run` in interface `Runnable`